;InnoSetupVersion=3.0.8

[Setup]
AppName=ClipCache Plus
AppVerName=ClipCache Plus 2.9 build 349
AppId=ClipCache Plus
AppPublisher=XRayz Software
AppPublisherURL=http://www.xrayz.co.uk
AppSupportURL=http://www.xrayz.co.uk/support
AppUpdatesURL=http://www.xrayz.co.uk
AppMutex=ClipC{FDF30351-B404-11d2-ACB4-00AA0011B570}
DefaultDirName={pf}\ClipCache
DefaultGroupName=ClipCache Plus
UninstallDisplayIcon={app}\clipc.exe
OutputBaseFilename=ccsetup
Compression=zip
PrivilegesRequired=none
DisableProgramGroupPage=yes
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\clipc.exe"; DestDir: "{app}"; Components: main; Flags: ignoreversion 
Source: "{app}\clipc.hlp"; DestDir: "{app}"; Components: main; Flags: ignoreversion 
Source: "{app}\clipc.cnt"; DestDir: "{app}"; Components: main; Flags: overwritereadonly ignoreversion 
Source: "{app}\TipOfTheDay.dll"; DestDir: "{app}"; Components: main; Flags: ignoreversion 
Source: "{app}\mfc42.dll"; DestDir: "{app}"; Components: main; Flags: ignoreversion 
Source: "{app}\chip.wav"; DestDir: "{app}"; Components: sound; Flags: overwritereadonly ignoreversion 
Source: "{app}\Plugins\CCPlgImport.dll"; DestDir: "{app}\Plugins"; Components: plugin_import; Flags: ignoreversion 
Source: "{app}\Plugins\CCPlgUrls.dll"; DestDir: "{app}\Plugins"; Components: plugin_urls; Flags: ignoreversion 
Source: "{app}\Plugins\CCPlgRot13.dll"; DestDir: "{app}\Plugins"; Components: plugin_rot13; Flags: ignoreversion 
Source: "{app}\Plugins\CCPlgWordCount.dll"; DestDir: "{app}\Plugins"; Components: plugin_wordcount; Flags: ignoreversion 
Source: "{app}\Plugins\CCPlgRules.dll"; DestDir: "{app}\Plugins"; Components: plugin_rules; Flags: ignoreversion 
Source: "{app}\Plugins\CCPlgCounter.dll"; DestDir: "{app}\Plugins"; Components: plugin_counter; Flags: ignoreversion 

[Dirs]
Name: "{app}"; Flags: uninsalwaysuninstall 

[Registry]
Root: HKCU; Subkey: "Software\XRayz\ClipCache"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\XRayz"; Flags: uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Run"; ValueName: "ClipCache"; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\ClipCache"; Flags: deletekey 

[Run]
Filename: "{app}\clipc.exe"; Description: "Launch ClipCache"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\Uninstall ClipCache Plus"; Filename: "{uninstallexe}"; 
Name: "{group}\ClipCache Plus Help"; Filename: "{app}\clipc.hlp"; 
Name: "{group}\ClipCache Plus"; Filename: "{app}\clipc.exe"; 
Name: "{userdesktop}\ClipCache Plus"; Filename: "{app}\clipc.exe"; Tasks: desktopicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 

[Components]
Name: "main"; Description: "Main program files"; Types: "full compact custom"; 
Name: "sound"; Description: "Sample capture sound wave file"; Types: "full custom"; 
Name: "plugin_import"; Description: "Plugin to import files as clips"; Types: "full custom"; 
Name: "plugin_urls"; Description: "Plugin to extract urls from clips"; Types: "full custom"; 
Name: "plugin_rot13"; Description: "Plugin to encrypt/decrypt clips with ROT13"; Types: "full custom"; 
Name: "plugin_wordcount"; Description: "Plugin to count the number of characters, world and lines in a clip"; Types: "full custom"; 
Name: "plugin_rules"; Description: "Plugin to move clips based on clip content"; Types: "full custom"; 
Name: "plugin_counter"; Description: "Plugin to keep count of the total number of clips captured"; Types: "full custom"; 

[InstallDelete]
Type: filesandordirs; Name: "{commonprograms}\ClipCache"; 
Type: files; Name: "{app}\license.txt"; 
Type: files; Name: "{app}\readme.txt"; 
Type: files; Name: "{app}\Uninst.isu"; 

[Types]
Name: "full"; Description: "Full installation"; 
Name: "compact"; Description: "Compact installation"; 
Name: "custom"; Description: "Custom installation"; 
